#!/usr/bin/env python3
# -*- coding: utf-8 -*-
#
# License: GNU General Public License v2
#
# Author: thl-cmk[at]outlook[dot]com
# URL   : https://thl-cmk.hopto.org
# Date  : 2019-10-28
#

# 2024-04-07: modified for CMK 2.2.x (ThX bitwiz@forum.checkmk.com)
#             fixed some typos (ThX bitwiz@forum.checkmk.com)
#             moved the Flash inventory from 'hardware.components.flash' to 'hardware.flash'

from cmk.gui.i18n import _
from cmk.gui.views.inventory.registry import inventory_displayhints

inventory_displayhints.update({
    '.hardware.flash.': {
        'title': _('Flash'),
    },
    '.hardware.flash.devices:': {
        'title': _('Flash Devices'),
        'keyorder': ['index', 'name', 'description', 'size', ],
        'view': 'invflashdevices_of_host',
    },

    '.hardware.flash.devices:*.index': {'title': _('Index'), },
    '.hardware.flash.devices:*.size': {'title': _('Size (MB)'), },
    '.hardware.flash.devices:*.minpartitionsize': {'title': _('Min. Partition Size (MB)'), },
    '.hardware.flash.devices:*.maxprtitions': {'title': _('Max. Partitions'), },
    '.hardware.flash.devices:*.chipcount': {'title': _('Chip Count'), },
    '.hardware.flash.devices:*.name': {'title': _('Name'), },
    '.hardware.flash.devices:*.description': {'title': _('Description'), },
    '.hardware.flash.devices:*.controller': {'title': _('Controller'), },
    '.hardware.flash.devices:*.programmingjumper': {'title': _('Programming Jumper'), },
    '.hardware.flash.devices:*.inittime': {'title': _('Init Time'), },
    '.hardware.flash.devices:*.removable': {'title': _('Removable'), },
    '.hardware.flash.devices:*.physentindex': {'title': _('Phys Entity Index'), },
    '.hardware.flash.devices:*.nameextended': {'title': _('Name Extended'), },

    '.hardware.flash.chips:': {
        'title': _('Flash Chips'),
        'keyorder': ['flashindex', 'index', 'description', ],
        'view': 'invflashchips_of_host',
    },

    '.hardware.flash.chips:*.index': {'title': _('Chip Index'), },
    '.hardware.flash.chips:*.flashindex': {'title': _('Device Index'), },
    '.hardware.flash.chips:*.code': {'title': _('Code'), },
    '.hardware.flash.chips:*.description': {'title': _('Description'), },
    '.hardware.flash.chips:*.writeretries': {'title': _('Write Retries'), },
    '.hardware.flash.chips:*.eraseretries': {'title': _('Erase Retries'), },
    '.hardware.flash.chips:*.maxwriteretries': {'title': _('Max. Write Retries'), },
    '.hardware.flash.chips:*.maxeraseretries': {'title': _('Max. Erasure Retries'), },

    '.hardware.flash.partitions:': {
        'title': _('Flash Partitions'),
        'keyorder': ['flashindex', 'index', 'name', 'size', 'freespace', 'filecount', ],
        'view': 'invflashpartitions_of_host',
    },

    '.hardware.flash.partitions:*.index': {'title': _('Partition Index'), },
    '.hardware.flash.partitions:*.flashindex': {'title': _('Device Index'), },
    '.hardware.flash.partitions:*.startchip': {'title': _('Start Chip'), },
    '.hardware.flash.partitions:*.endchip': {'title': _('End Chip'), },
    '.hardware.flash.partitions:*.size': {'title': _('Size (MB)'), },
    '.hardware.flash.partitions:*.freespace': {'title': _('Free Space (MB)'), },
    '.hardware.flash.partitions:*.filecount': {'title': _('File Count'), },
    '.hardware.flash.partitions:*.crcsumalgo': {'title': _('Checksum Algorithm'), },
    '.hardware.flash.partitions:*.status': {'title': _('Status'), },
    '.hardware.flash.partitions:*.upgrademethod': {'title': _('Upgrade Method'), },
    '.hardware.flash.partitions:*.name': {'title': _('Name'), },
    '.hardware.flash.partitions:*.neederasure': {'title': _('Need Erasure'), },
    '.hardware.flash.partitions:*.filenamelength': {'title': _('File Name Length'), },
    '.hardware.flash.partitions:*.lowspacenotifythreshold': {'title': _('Low Space Notify Threshold (%)'), },
})
